corda / net.corda.node.utilities / AddressUtils

# AddressUtils

`object AddressUtils`

### Functions

isPublic | `fun isPublic(address: InetAddress): Boolean` Returns `true` if the provided `address` is a public IP address or hostname. `fun isPublic(hostText: String): Boolean`
tryDetectPublicIP | `fun tryDetectPublicIP(): InetAddress?` Returns the first public IP address found on any of the network interfaces, or `null` if none found.